<?php
/**
 * JComments plugin for Abook objects support
 *
 * @version 2.3
 * @package Abook
 * @author Ugolotti Federica (info@alexandriabooklibrary.org)
 * @license GNU/GPL: http://www.gnu.org/copyleft/gpl.html
 **/

class jc_com_abook extends JCommentsPlugin
{
	function getObjectInfo($id, $language = null)
	{
		$db = JFactory::getDBO();
		$query = $db->getQuery(true);
		$query->select('a.*');
		$query->from('#__abbook AS a');
		$query->select('c.alias AS alias_cat');
		$query->join('LEFT', '#__abcategories AS c on c.id = a.catid');
		$query->where('a.id = ' . (int) $id);	
		$db->setQuery($query);
		$row = $db->loadObject();

		$info = new JCommentsObjectInfo();

		if (!empty($row)) {
			require_once(JPATH_ROOT.DS.'components'.DS.'com_abook'.DS.'helpers'.DS.'route.php');
			$user = JFactory::getUser();
			$authorised = JAccess::getAuthorisedViewLevels($user->get('id'));
			$checkAccess = in_array($row->access, $authorised);
			if ($checkAccess) {
                        	$link = JRoute::_(AbookHelperRoute::getBookRoute($row->id.':'.$row->alias, $row->catid.':'.$row->alias_cat));
                        } else {
                                $returnURL = JRoute::_(AbookHelperRoute::getBookRoute($row->id.':'.$row->alias));
                                $menu = JFactory::getApplication()->getMenu();
                                $active = $menu->getActive();
                                $ItemId = $active->id;
                                $link = JRoute::_('index.php?option=com_users&view=login&Itemid=' . $ItemId);
                                $uri = new JURI($link);
                                $uri->setVar('return', base64_encode($returnURL));
                                $link = $uri->toString();
                        }
			$info->title = $row->title;
                        $info->access = $row->access;
                        $info->userid = $row->user_id;
                        $info->link = $link;
		}

		return $info;
	}
}
?>
